Conversations
Add conversation channels
Adds the given channels to the conversation, keeping the ones it already has, and returns the conversation.
Adds the given channels to the conversation, keeping the ones it already has, and returns the conversation.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^conv_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
channels*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/conversations/string/channels" \ -H "Content-Type: application/json" \ -d '{ "channels": [ "email" ] }'{ "id": "string", "title": "string", "externalId": "string", "status": "active", "primaryChannel": "email", "channels": [ "email" ], "priority": 0, "urgency": "low", "tags": [ "string" ], "isTest": true, "messageCount": 0, "lastActivityAt": "string", "createdAt": "string", "description": "string", "parentConversationId": "string", "statusReason": "string", "complexity": "simple", "categories": [ "string" ], "metadata": {}, "context": { "customerData": {}, "previousConversations": [ "string" ], "sessionVariables": {}, "workflowState": { "currentStep": "string", "completedSteps": [ "string" ], "pendingSteps": [ "string" ], "workflowData": {} } }, "isInternal": true, "isPrivate": true, "contacts": [ { "id": "string", "name": "string", "displayName": "string", "identities": [ { "channel": "email", "identifier": "string", "verified": true } ] } ], "startedAt": "string", "lastHumanActivityAt": "string", "resolvedAt": "string", "archivedAt": "string", "resolutionType": "automated", "resolutionNotes": "string", "updatedAt": "string"}